import * as core from "@terrascript/core";

export interface KinesisStreamingDestinationArgs extends core.ResourceArgs {
  streamArn: string | core.StringOut;

  tableName: string | core.StringOut;
}

export class KinesisStreamingDestination extends core.Resource<KinesisStreamingDestinationArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public streamArn!: string | core.StringOut;

  @core.attr(String)
  public tableName!: string | core.StringOut;

  constructor(name: string, args?: KinesisStreamingDestinationArgs) {
    super(name, "aws_dynamodb_kinesis_streaming_destination", args);
  }

  public override getNamespace(): string {
    return "aws_dynamodb";
  }
}
